# Hook工作台使用教程

## 功能概述

Hook工作台是TrollDebug的核心功能之一，它允许您实时监控任何方法的调用、查看调用参数和返回值，以及创建和管理Hook模板。这个功能特别适合分析应用内部逻辑和调试复杂问题。

## 基础操作

### 进入Hook工作台

1. 从TrollDebug主界面点击"Hook工作台"选项
2. 进入后，您将看到分为"当前Hooks"和"模板库"两个标签的界面
3. 默认显示"当前Hooks"，初次使用时为空列表
4. 左上角的"X"按钮可以随时返回主界面

### 添加新的Hook

1. 点击右上角的"+"按钮
2. 在搜索框中输入要Hook的类名（例如：UIViewController）
3. 从列表中选择目标类
4. 切换"实例方法"/"类方法"标签选择方法类型
5. 从方法列表中选择要Hook的方法（例如：viewDidLoad）
6. 确认Hook操作

### 查看Hook详情

1. 在"当前Hooks"列表中点击任意Hook项
2. 查看详细信息，包括类名、方法名、调用次数等
3. 观察"调用记录"部分，实时显示最近的调用时间和耗时
4. 如需取消Hook，点击底部的"取消Hook"按钮

### 使用模板库

1. 切换到"模板库"标签
2. 浏览预设模板和自定义保存的模板
3. 点击模板可以直接应用（一键Hook）
4. 点击"管理"按钮可以删除不需要的自定义模板

## 高级应用

### 保存自定义模板

1. 在Hook详情页面点击右上角"保存模板"按钮
2. 输入模板名称
3. 确认保存后，模板将出现在"模板库"中供后续使用

### 批量操作

1. 可以同时添加多个Hook监控不同方法
2. 在"当前Hooks"标签右上角点击"清除"可以一键移除所有Hook

### 使用场景示例

#### 分析UI生命周期

1. Hook UIViewController的viewDidLoad、viewWillAppear、viewDidAppear等方法
2. 观察这些方法的调用顺序和时间差，分析UI展示流程

#### 监控网络请求

1. 应用"网络请求监控"预设模板
2. 观察所有网络请求的创建和数据接收过程
3. 分析网络请求的频率和耗时

#### 追踪用户事件

1. Hook UIApplication的sendEvent:方法
2. 监控所有触摸事件的分发过程
3. 分析用户交互路径

## 性能考虑

1. 大量激活的Hook可能影响应用性能，建议只Hook必要的方法
2. 长时间运行可能积累大量调用记录，可以通过重新Hook清除历史记录
3. 对频繁调用的方法进行Hook时需谨慎，可能导致UI卡顿

## 常见问题

### 无法找到特定类

- 确保类名拼写正确
- 部分系统私有类可能无法直接访问
- 尝试使用更具体的搜索词

### Hook后没有调用记录

- 确认被Hook的方法确实会被调用
- 检查Hook是否成功应用
- 尝试触发相关功能后再查看调用记录

### 应用功能异常

- 取消可能导致问题的Hook
- 不要修改关键系统方法的行为
- 如遇严重问题，可使用"清除"功能移除所有Hook

## 模板推荐

初学者可以从以下预设模板开始：

1. **UI生命周期监控**：了解视图控制器的显示流程
2. **网络请求监控**：分析应用的网络通信
3. **用户默认值监控**：了解应用的数据存储行为
4. **图片加载监控**：分析应用的资源加载机制 